=begin pod

=TITLE class X::Syntax::InfixInTermPosition

    class X::Syntax::InfixInTermPosition does X::Syntax { }

Syntax error thrown when the parser expects a term, but finds an infix
operator instead.

For example

    1, => 2

dies with

    ===SORRY!===
    Preceding context expects a term, but found infix => instead

=head1 Methods

=head2 infix

    method infix() returns Str:D

Returns the symbol of the infix that was found in term position.

=end pod
